%define name	STLport
%define version	4.6.2
%define release	1mdk

%define major 4
%define libname %mklibname %name %major

Summary:	STLport library.
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.stlport.org/
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	gcc >= 3.2-0.3mdk

Source: http://www.stlport.com/archive/STLport-%{version}.tar.bz2

# Exception patch for STLport 4.5.3 and gcc3
Patch0:	STLport-%{version}-gcc3stdexcept.patch.bz2

# Nuke STLport badlink
Patch1:	STLport-4.5.3-nobadlink.patch.bz2

# Add support for MDK gcc-3.1.0 to STLport-4.5.3
# (aka. gxx_includedir is /usr/include/g++-v31/)
Patch2:	STLport-4.5.3-gcc31includes.patch.bz2

# Add support for gcc >= 3.1.1 includes
# (aka. gxx_includedir is /usr/include/c++/<gxx_version>/)
Patch3:	STLport-4.5.3-gcc3Xincludes.patch.bz2

# Add EXTRA_CXXFLAGS for RPM_OPT_FLAGS, some fixlets
Patch4:	STLport-%{version}-extra-cxxflags.patch.bz2

# Fixes for istream, which dies when reading double from file
# (see http://www.stlport.com/dcforum/DCForumID6/1549.html)
Patch5:	STLport-4.6.2-istream.patch.bz2

# Patches for compiling under gcc 3.4.1
Patch6:	STLport-%{version}-gcc34.patch.bz2

# Patches for compiling under gcc 3.4.1
Patch7: STLport-%{version}-installprefix.patch.bz2

%description
This package includes STLport library.

%package -n %libname
Summary: SSTLport library.
Group: Development/C++
Provides: lib%{name} = %version-%release

%description -n %libname
This package includes STLport library.

%package -n %libname-devel
Summary: STLport library headers and static library.
Group: Development/C++
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %libname-devel
This package includes STLport library headers and static library.

%prep
%setup -q -n STLport-%{version}

%patch0 -p1 -b .gcc3stdexcept
%patch1 -p1 -b .nobadlink
%patch4 -p1 -b .extra-cxxflags
%patch5 -p1 -b .istream
%patch6 -p1 -b .gcc34
%patch7 -p1 -b .preinstall

%build
cd src
%make -f gcc-linux.mak all \
  CC="gcc" CXX="g++" EXTRA_CXXFLAGS="$RPM_OPT_FLAGS" \
  INSTALLDIR_INC=%_includedir/stlport%{major} \
  INSTALLDIR_LIB=%_libdir
#ln -sf libstlport_gcc.so.4.6 ../lib/libstlport.so
#ln -sf libstlport_gcc_stldebug.so.4.6 ../lib/libstlport_stldebug.so
cd ..

%install
[ $RPM_BUILD_ROOT != "/" ] && rm -rf $RPM_BUILD_ROOT
cd src
%make -f gcc-linux.mak install \
  CC="gcc" CXX="g++" EXTRA_CXXFLAGS="$RPM_OPT_FLAGS" \
  INSTALLDIR_INC=%buildroot%_includedir/stlport%{major} \
  INSTALLDIR_LIB=%buildroot%_libdir

#install ../lib/libstlport.so $RPM_BUILD_ROOT%{_libdir}/libstlport.so
#install ../lib/libstlport_stldebug.so $RPM_BUILD_ROOT%{_libdir}/libstlport_stldebug.so
cd ..

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
[ $RPM_BUILD_ROOT != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libstlport_gcc.so.4.6
%{_libdir}/libstlport_gcc_stldebug.so.4.6

%files -n %libname-devel
%defattr(-,root,root)
#%{_libdir}/libstlport.so
#%{_libdir}/libstlport_stldebug.so
%{_libdir}/libstlport_gcc.so
%{_libdir}/libstlport_gcc_stldebug.so
%{_includedir}/*
%{_libdir}/libstlport_gcc.a
%{_libdir}/libstlport_gcc_stldebug.a

%changelog
* Mon Aug 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.6.2-1mdk
- libdification
- cleanup
- From Raphal Gertz <rapsys@free.fr>
  - 4.6.2
  - First release of a separate package.

